Subject: RE: Slight gcc -mno-cygwin inconsistency
From: "Demmer, Thomas" <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Cc: "'Gerrit P. Haase'" <[email-masked]>
Date: Wed, 22 Oct 2003 14:18:11 +0200

Why?
I am not talking about system specific stuff, but
local user additions.

Take for example libgsl, the GNU Scientific Library. 
I install the headers in /usr/local/include/gsl, the
cygwin library in /usr/local/lib, and the mingw lib
in /usr/local/lib/mingw.

gcc -o foo  prog_that_uses_gsl.c -L/usr/local/lib -lgsl
gives me a cygwin executable,

gcc -mno-cygwin \
    -o foo  prog_that_uses_gsl.c -L/usr/local/lib/mingw -lgsl

would give me the mingw executable. Makes perfect sense to me.

There was a thread mostly by a person complaining that mingw and
cygwin do not work together in an development environment, 
which I bet he never actually really tried. It works nicely, there are 
just a few things to make it even work better. It took me last week about
30 minutes to unpack, configure, compile, and install libmad and friends
on my laptop (cygwin&mingw version!). Cool. madplayer works under both
versions. Cygwin is a great project, but the people working on the autotools

have my respect for making it pretty fool proof.

Ciao
Tom

-----Original Message-----
From: Gerrit P. Haase [mailto:[email-masked]] 
Sent: Wednesday, 22 October, 2003 13:58
To: Demmer, Thomas
Cc: [email-masked]'
Subject: Re: Slight gcc -mno-cygwin inconsistency

Thomas schrieb:

> Well, 
> so far everything I installed was consistent in terms of
> header files between cygwin and mingw, so, yes until now I
> do want mingw to search in /usr/include. But I see your
> point and maybe I was just lucky (I do not want the linker 
> to search in /usr/local/lib, though).

But it is pretty useless to have a function declared in a Cygwin header
which is exported from cygwin1.dll in a MinGW application since the
linker doesn't link against libcygwin.a.  You can do this as long as the
functions are identical, but what for?  If this function is available
for MinGW then there is also a MinGW header declaring this function.
If the function() is not available for MinGW, then your application will
not link anyway.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/